Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Typed_SV_Message Class Template Reference

Defines the header file for the C++ wrapper for System V message queues. More...

`#include <Typed_SV_Message.h>`

List of all members.

## Public Methods
| ACE_Typed_SV_Message (long type = 0, int length = sizeof (T), int max_size = sizeof (T))
| ACE_Typed_SV_Message (const T &data, long type = 0, int length = sizeof (T), int max_size = sizeof (T))
| ~ACE_Typed_SV_Message (void)
long | type (void) const
void | type (long type)
int | length (void) const
void | length (int l)
int | max_size (void) const
void | max_size (int m)
T& | data (void)
void | data (const T &data)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
long | type_
| Type of message.
int | length_
| Length of this message.
int | max_
| Maximum length of any message.
T | data_
| Data stored in a message.

## Detailed Description

### template<class T> template class ACE_Typed_SV_Message

Defines the header file for the C++ wrapper for System V message queues.

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_Typed_SV_Message< T >::ACE_Typed_SV_Message<T> ( | long t = 0,
| int l = sizeof (T),
| int m = sizeof (T) )

template<classT>
ACE_INLINE ACE_Typed_SV_Message< T >::ACE_Typed_SV_Message<T> ( | const T & d,
| long t = 0,
| int l = sizeof (T),
| int m = sizeof (T) )

template<classT>
ACE_INLINE ACE_Typed_SV_Message< T >::~ACE_Typed_SV_Message<T> ( | void )

## Member Function Documentation

template<classT>
void ACE_Typed_SV_Message< T >::data ( | const T & d )

template<classT>
T & ACE_Typed_SV_Message< T >::data ( | void )

template<classT>
void ACE_Typed_SV_Message<T>::dump ( | void ) const

| Dump the state of an object.

template<classT>
ACE_INLINE void ACE_Typed_SV_Message< T >::length ( | int len )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message< T >::length ( | void ) const

template<classT>
ACE_INLINE void ACE_Typed_SV_Message< T >::max_size ( | int m )

template<classT>
ACE_INLINE int ACE_Typed_SV_Message< T >::max_size ( | void ) const

template<classT>
ACE_INLINE void ACE_Typed_SV_Message< T >::type ( | long t )

template<classT>
ACE_INLINE long ACE_Typed_SV_Message< T >::type ( | void ) const

## Member Data Documentation

template<classT>
ACE_Typed_SV_Message<T>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classT>
T ACE_Typed_SV_Message<T>::data_`[private]`

| Data stored in a message.

template<classT>
int ACE_Typed_SV_Message<T>::length_`[private]`

| Length of this message.

template<classT>
int ACE_Typed_SV_Message<T>::max_`[private]`

| Maximum length of any message.

template<classT>
long ACE_Typed_SV_Message<T>::type_`[private]`

| Type of message.

The documentation for this class was generated from the following files:

- Typed_SV_Message.h
- Typed_SV_Message.i